# MongoCursorInterface::dead

(PECL mongo >=1.5.0)

MongoCursorInterface::dead — Checks if there are results that have not yet been sent from the database

### Description

abstract public MongoCursorInterface::dead ( void ) : bool

This method checks whether the cursor has been exhausted and the database has no more results to send to the client. A cursor being "dead" does not necessarily mean that there are no more results available for iteration.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if there are more results that have not yet been sent to the client, and `FALSE` otherwise.